


NSRSYBSV(8)                                           NSRSYBSV(8)


NNAAMMEE
       nsrsybsv - save Sybase databases to long term storage with
       NetWorker

SSYYNNOOPPSSIISS
       nnssrrssyybbssvv [ --CCDDEEGGhhLLqqRRTTvv??  ] [ --UU _u_s_e_r_-_n_a_m_e ] [ --PP  _p_a_s_s_w_o_r_d
       ]  [  --ss  _s_e_r_v_e_r  ]  [  --cc _c_l_i_e_n_t_-_n_a_m_e ] [ --NN _S_Y_B_A_S_E_:_/_s_q_l_-
       _s_e_r_v_e_r_-_n_a_m_e_[ _/_d_a_t_a_b_a_s_e_-_n_a_m_e _] ] [ --bb _p_o_o_l ] [ --gg _g_r_o_u_p ] [
       --ll  _l_e_v_e_l  ]  [ --WW _w_i_d_t_h ] [ --DD _d_e_b_u_g_-_l_e_v_e_l ] SSYYBBAASSEE:://ssqqll--
       sseerrvveerr--nnaammee[[ //ddaattaabbaassee--nnaammee ]]

DDEESSCCRRIIPPTTIIOONN
       nnssrrssyybbssvv saves Sybase SQL Server  databases  to  the  Net-
       Worker  server  (see  nnssrr(8)).  The progress of a nsrsybsv
       can be monitored using the X  Window  System  based  nnwwaadd--
       mmiinn(8) program or the ccuurrsseess(3X) based nnssrrwwaattcchh(8) program
       for other terminal types.

       The  database(s)  to  be  saved  are  specified   by   the
       SYBASE:/sql-server-name[/database-name]     value.     The
       _d_a_t_a_b_a_s_e_-_n_a_m_e is optional; if omitted,  all  databases  on
       the SQL Server will be saved except the tempdb database.

       The  _u_s_e_r_-_n_a_m_e and _p_a_s_s_w_o_r_d provide the information neces-
       sary to log in to the SQL Server to  be  backed  up.   The
       user-name  must  have  sufficient  permissions  to perform
       database dumps on the databases to be saved.  If the user-
       name and password are not supplied, the _n_a_m_e_, _c_l_i_e_n_t_-_n_a_m_e_,
       _g_r_o_u_p_, and _s_e_r_v_e_r are used to query  the  client  resource
       defined on the server for the user-name and password.

       Each database saved is created in its own save stream.  If
       all databases on the SQL Server are saved, there will be a
       save  stream  for  each database and a save stream for the
       SQL Server.  This stream of data is sent  to  a  receiving
       process  (see nnssrrdd(8)) on the NetWorker server, which will
       process the data, adding entries to the on-line index (see
       nnssrriinnddeexxdd(8))  for  each  database,  with the data finally
       ending up on some long term storage media (see nnssrrmmmmdd(8)).

       When  command  line backups are run, the client index (and
       bootstrap for the server)  are  not  automatically  saved.
       Scheduled  backups save these automatically, which ensures
       that disaster recovery takes the  minimum  time  possible.
       If  command  line  backups are run, the ssaavveeggrrpp(8) command
       should be used with the "-O" option  to  save  the  client
       index  and server bootstrap.  This will ensure that recov-
       ery from a catastrophic failure  can  occur  in  the  most
       expedient fashion.

       Details about handling media are discussed in nnssrrmmmm(8) and
       nnssrr__ddeevviiccee(5).





NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        1





NSRSYBSV(8)                                           NSRSYBSV(8)


OOPPTTIIOONNSS
       --CC     Use client-side compression for  this  save.   Com-
              pression is not used by default.

       --DD     Set  the  NSR_DEBUG_LEVEL  for this command.  Valid
              values range from 0 (no information)  to  10  (much
              information.)  The default value is 2.

       --EE     Use  encryption  for  this save.  Encryption is not
              used by default.

       --GG     Perform a  dump  with  the  NO_LOG  options.   This
              option  is  not used for normal backups, but may be
              necessary in cases where there is a device  failure
              or full log device.

       --RR     Do   not  truncate  the  transaction  log  for  the
              database after this backup.  The transaction log is
              normally   truncated  after  each  backup  for  all
              databases.  When this option is used, the  transac-
              tion  log is left intact.  This is useful for back-
              ing up a database when  there  has  been  a  device
              failure.

       --TT     Truncate  the  transaction log but do not perform a
              backup.  This is not normally used, but it  can  be
              useful  once  the transaction log has filled.  This
              command should be followed  by  a  full  backup  in
              order to ensure the database can be restored.

       --hh     Display usage.

       --vv     Verbose.  Cause the nnssrrssyybbssvv program to tell you in
              great detail what it is doing as it proceeds.

       --qq     Quiet.  Display only summary information and  error
              messages.

       --UU _u_s_e_r_-_n_a_m_e
              Specify  the  SQL Server user that will perform the
              backups.

       --PP _p_a_s_s_w_o_r_d
              Specifies the password for the SQL Server user that
              will perform the backups.

       --ss _s_e_r_v_e_r
              Specify  which  machine  to  use  as  the NetWorker
              server.  The default is the current machine  if  it
              is running a server, otherwise the machine with the
              logical name ``nsrhost'' in  the  host  table  (see
              hhoossttss(5)) is used.





NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        2





NSRSYBSV(8)                                           NSRSYBSV(8)


       --cc _c_l_i_e_n_t_-_n_a_m_e
              Specify  the client name for starting the save ses-
              sion.  This is useful on clients with multiple net-
              work interfaces, and hence multiple host names.  It
              can be used to create multiple index databases  for
              the  same physical client.  Note that this does not
              specify the network  interface  to  use.   This  is
              specified in the sseerrvveerr nneettwwoorrkk iinntteerrffaaccee attribute
              of the client resource (see nnssrr__cclliieenntt(5)).

       --NN _S_Y_B_A_S_E_:_/_s_q_l_-_s_e_r_v_e_r_-_n_a_m_e_[ _/_d_a_t_a_b_a_s_e_-_n_a_m_e _]
              The symbolic name of this save  set.   By  default,
              the  name  of  the  database  is  used for the name
              (SYBASE:/sql-server-name/database-name.)

       --bb _p_o_o_l
              Specifies a particular  destination  pool  for  the
              databases and transaction logs.

       --gg _g_r_o_u_p
              This  option is used by ssaavveeggrrpp(8) and ssaavveeffss(8) to
              denote the group of the save (see nnssrr__cclliieenntt(5) and
              nnssrr__ggrroouupp(5))  and  is used by the NetWorker server
              to select the specific media pool.

       --ll _l_e_v_e_l
              The level of the save.   This  option  is  used  by
              ssaavveeggrrpp(8)  and  ssaavveeffss(8)  to specify a particular
              level for  a  scheduled  save.   Valid  levels  are
              "incr" and "full".  The default level is "full".  A
              full backup is a backup of the entire database.  An
              incremental  backup  is  a backup of the database's
              transaction log and  is  only  available  when  the
              transaction log is on its own device.

       --WW _w_i_d_t_h
              The  width used when formatting summary information
              output.

EENNVVIIRROONNMMEENNTT VVAARRIIAABBLLEESS
       SSYYBBAASSEE The SYBASE environment variable must have the  path
              to the Sybase SQL Server interfaces file.  This has
              no default value, but if  if  is  not  set,  Sybase
              attempts  to find the interfaces file in the user's
              home directory.

       PPRREECCMMDD The PRECMD environment variable contains a  command
              to  execute  before  the database is backed up.  If
              the PRECMD exits with a non zero return  code,  the
              database  will not be backed up.  The default value
              for the PRECMD is no command if  nsrsybsv  is  exe-
              cuted from the command line.  If a scheduled backup
              initiates nsrsybsv, then the default  PRECMD  is  a
              consistency check of the databases to be backed up.



NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        3





NSRSYBSV(8)                                           NSRSYBSV(8)


       PPOOSSTTCCMMDD
              The POSTCMD environment variable contains a command
              to  execute  after  the database is backed up.  The
              POSTCMD is always  executed,  even  if  the  PRECMD
              returns  a  result  of 1. The default value for the
              POSTCMD is no command.


EEXXAAMMPPLLEESS
       _B_a_c_k_i_n_g _u_p _a _d_a_t_a_b_a_s_e:
              To back up database model in  SQL  Server  "produc-
              tion" to NetWorker server networker, enter the fol-
              lowing command:
                 nsrsybsv  -U  sa  -P   password   -s   networker
                 SYBASE:productionmodel



       _B_a_c_k_i_n_g _u_p _a_n _e_n_t_i_r_e _S_Q_L _S_e_r_v_e_r:
              To  back  up  all  databases (except tempdb) in SQL
              Server "production" to NetWorker server  networker,
              enter the following command:
                 nsrsybsv  -U sa -P password -s networker -l full
                 SYBASE:production

       _B_a_c_k_i_n_g _u_p _a _t_r_a_n_s_a_c_t_i_o_n _l_o_g:
              To  back  up  the  transaction  log  for   database
              "orders"  in  SQL  Server "production" to NetWorker
              server networker, enter the following command:
                 nsrsybsv -U sa -P password -s networker -l  incr
                 SYBASE:productionorders



SSEEEE AALLSSOO
       ccuurrsseess(3X),  nnssrr__ggeettddaattee(3), hhoossttss(5), nnwwaaddmmiinn(8), nnssrr(5),
       nnssrr(8),   nnssrr__cclliieenntt(5),   nnssrr__ddeevviiccee(5),    nnssrr__ggrroouupp(5),
       nnssrr__sseerrvviiccee(5), nnssrrdd(8), nnssrriimm(8), nnssrriinnddeexxdd(8), nnssrrmmmm(8),
       nnssrrmmmmdd(8),  nnssrrssyybb(8),  nnssrrssyybbcccc(8),   nnssrrssyybbrrcc(8),   nnssrr--
       wwaattcchh(8), rreeccoovveerr(8), ssaavveeffss(8), ssaavveeggrrpp(8)

DDIIAAGGNNOOSSTTIICCSS
   EExxiitt CCooddeess
       00      Normal  exit.   This means that a save set was cor-
              rectly created on the server.
       11      Abnormal exit.  A save set was not  correctly  cre-
              ated on the server.

   MMeessssaaggeess
       This is a partial listing of common error messages.  Refer
       to the Administrator's Guide for more complete listing  of
       error messages and how to resolve them.





NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        4





NSRSYBSV(8)                                           NSRSYBSV(8)


       _h_o_s_t:: _s_a_v_e_s_e_t   lleevveell==_l_e_v_e_l,,  _s_i_z_e   _t_i_m_e  _c_o_u_n_t ffiilleess..
              This  message  (with  the  appropriate  client host
              name, saveset name, level,  total  save  set  size,
              elapsed  time,  and file count) is printed whenever
              nnssrrssyybbssvv is run by ssaavveeggrrpp(8) and exits normally.

       TThhee ccoonntteexxtt aallllooccaattiioonn rroouuttiinnee ffaaiilleedd......
              CCaannnnoott aacccceessss ffiillee _/_s_y_b_a_s_e_/ccoonnffiigg//oobbjjeeccttiidd..ddaatt

              This message indicates that the $SYBASE environment
              variable  was  not  set.  This environment variable
              needs to be set  so  that  nnssrrssyybbssvv  can  find  the
              Sybase localization files required at runtime.  The
              $SYBASE environment variable should be set  to  the
              directory where Sybase was installed (the one where
              the iinntteerrffaacceess  file  is.)   This  error  may  also
              appear  if  the  Sybase Open Client software is not
              installed.  Sybase Open Client  must  be  installed
              for nnssrrssyybbssvv to run.

       AArrcchhiivvee AAPPII eerrrroorr......UUnnaabbllee ttoo ooppeenn AAPPII lliibbrraarryy ffoorr
       ddeevviiccee......
              LLiibbrraarryy ppaatthh iiss _/_s_y_b_a_s_e_/lliibb//lliibbbbmmss_._e_x_t

              This message indicates that the  symbolic  link  to
              the   libbms._e_x_t   library   is  missing  from  the
              $SYBASE/lib directory.  Make sure the link  exists.
              The  libbms._e_x_t  file  to  link  to  is in the same
              directory as the NetWorker binary files.

       AArrcchhiivvee AAPPII eerrrroorr......AAtttteemmppttiinngg ttoo ooppeenn bbyyttee ssttrreeaamm
       ddeevviiccee......
              nneettwwoorrkk  eerrrroorr  ((SSeevveerriittyy 55 NNuummbbeerr 2222)):: vvoolluummee ppooooll
              nnoott ffoouunndd

              This message indicates that the backup attempted to
              write  to  a volume pool that does not exist on the
              NetWorker server.  Check the server  to  see  which
              pools  are defined and try to backup to an existing
              pool.

       AArrcchhiivvee AAPPII eerrrroorr......AAtttteemmppttiinngg ttoo ooppeenn bbyyttee ssttrreeaamm
       ddeevviiccee......
              nneettwwoorrkk  eerrrroorr  ((SSeevveerriittyy  55  NNuummbbeerr  1122)):: BBuussiinneessss
              SSuuiittee MMoodduullee  ffoorr  SSyybbaassee  hhaass  nnoott  bbeeeenn  pprrooppeerrllyy
              eennaabblleedd..

              This  message  indicates  that  the server to which
              your backups are directed is not enabled for Sybase
              backups.   Install an enabler for the Sybase backup
              product on the server and retry the operation.

       AArrcchhiivvee AAPPII eerrrroorr......AAtttteemmppttiinngg ttoo ooppeenn bbyyttee ssttrreeaamm
       ddeevviiccee......



NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        5





NSRSYBSV(8)                                           NSRSYBSV(8)


              nneettwwoorrkk eerrrroorr ((SSeevveerriittyy 55 NNuummbbeerr 1133)):: _c_l_i_e_n_t iiss nnoott
              aa rreeggiisstteerreedd cclliieenntt

              This message indicates that the client on which the
              backup  is  being run is not a registered client of
              the server to which the backup is directed.  Create
              a client resource for this client on the server and
              retry the operation.

       AArrcchhiivvee AAPPII eerrrroorr......AAtttteemmppttiinngg ttoo ooppeenn bbyyttee ssttrreeaamm
       ddeevviiccee......
              nneettwwoorrkk  eerrrroorr  ((SSeevveerriittyy  55  NNuummbbeerr  1133)):: nnoo ggrroouupp
              _g_r_o_u_p ccoonnffiigguurreedd oonn sseerrvveerr

              This message indicates that the group  supplied  on
              the  command  line  is not defined in the server to
              which the backup is directed.  Check the group name
              supplied  to  make  sure  it  exists on the server.
              nnssrrssyybbssvv does not require a group name, so the com-
              mand  may  be  retried  without  specifying a group
              name.

       EErrrroorr ffrroomm sseerrvveerr:: MMssgg _n_u_m_b_e_r,, LLeevveell _n_u_m_b_e_r,, SSttaattee _n_u_m_b_e_r
              _E_r_r_o_r _t_e_x_t

              This message indicates that there was an error mes-
              sage  returned  from  Sybase.   Refer to the Sybase
              Troubleshooting and Errors Guide for an explanation
              of the error and its resolution.




























NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        6


